### Function

# Gtk render_option

deprecated: 4.10

#### Declaration [src]

    void
    gtk_render_option (
      GtkStyleContext* context,
      cairo_t* cr,
      double x,
      double y,
      double width,
      double height
    )

#### Description [src]

Renders an option mark (as in a radio button), the `GTK_STATE_FLAG_CHECKED` state will determine whether the option is on or off, and `GTK_STATE_FLAG_INCONSISTENT` whether it should be marked as undefined.

Typical option mark rendering:

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`context`

  Type: `GtkStyleContext`

  A `GtkStyleContext`

  The data is owned by the caller of the function.

`cr`

  Type: `cairo_t`

  A `cairo_t`

  The data is owned by the caller of the function.

`x`

  Type: `double`

  X origin of the rectangle.

`y`

  Type: `double`

  Y origin of the rectangle.

`width`

  Type: `double`

  Rectangle width.

`height`

  Type: `double`

  Rectangle height.